Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IRunTask

All Superinterfaces:
  IEngineTask

    public interface IRunTask

extends IEngineTask

An engine task that runs a report and generates a report document.

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.api.IEngineTask
`CANCEL_ON_ERROR, CONTINUE_ON_ERROR, STATUS_CANCELLED, STATUS_FAILED, STATUS_NOT_STARTED, STATUS_RUNNING, STATUS_SUCCEEDED, TASK_DATAEXTRACTION, TASK_GETPARAMETERDEFINITION, TASK_RENDER, TASK_RUN, TASK_RUNANDRENDER, TASK_UNKNOWN`

Method Summary
`void` | `enableProgressiveViewing(boolean enable)` need the run task support progressive viewing.
`void` | `run(org.eclipse.birt.core.archive.FolderArchive fArchive)` Deprecated.
`void` | `run(org.eclipse.birt.core.archive.IDocArchiveWriter archive)`
`void` | `run(java.lang.String reportDocName)` runs the task to generate report document
`void` | `setMaxRowsPerQuery(int maxRows)` set the max rows per query
`void` | `setPageHandler(IPageHandler callback)` set up event handler to be called after each page is generated

Methods inherited from interface org.eclipse.birt.report.engine.api.IEngineTask
`addScriptableJavaObject, cancel, cancel, close, getAppContext, getCancelFlag, getEngine, getErrors, getID, getLocale, getLogger, getParameterDisplayText, getParameterValue, getParameterValues, getReportRunnable, getStatus, getTaskType, getULocale, setAppContext, setDataSource, setDataSource, setErrorHandlingOption, setLocale, setLocale, setLogger, setParameter, setParameterDisplayText, setParameterValue, setParameterValues, setProgressMonitor, setStatusHandler, setTimeZone, setUserACL, validateParameters`

Method Detail

### setPageHandler

    void setPageHandler(IPageHandler callback)

  set up event handler to be called after each page is generated

  Parameters:
    `callback` - a callback function that is called after each checkpoint

### run

    void run(java.lang.String reportDocName)
             throws EngineException

  runs the task to generate report document

  Parameters:
    `reportDocName` - the name for the report document file
  Throws:
    `EngineException` - throws exception when running report fails

### run

    void run(org.eclipse.birt.core.archive.IDocArchiveWriter archive)
             throws EngineException

  Parameters:
    `archive` - a document archive object that supports various doc-related functionalities
  Throws:
    `EngineException` - throws exception when running report fails

### run

    void run(org.eclipse.birt.core.archive.FolderArchive fArchive)
             throws EngineException

  Deprecated.

  Parameters:
    `fArchive` - a folder archive that is used both as the data source, and as output The engine WILL overwrite the archive that is passed in!
  Throws:
    `EngineException` - throws exception when running report fails

### setMaxRowsPerQuery

    void setMaxRowsPerQuery(int maxRows)

  set the max rows per query

  Parameters:
    `maxRows:` - max rows

### enableProgressiveViewing

    void enableProgressiveViewing(boolean enable)

  need the run task support progressive viewing. the default value is TRUE.

  Parameters:
    `enable` - true the render task can render the document while the run task is generating. false the render task must wait for the run task.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.